Add Resources for Data Analysis
Adds specified resources to the data security analysis system for monitoring, compliance scanning, and threat detection.
- application/json
Request Body required
- cloudConnectionId int32 required
Unique identifier of the cloud connection from which to add resources
- criteria string
JSON-formatted search criteria for resource selection. Supports filtering by resource type, tags, region, size, etc.
accounts object[]
List of specific cloud accounts from which to select resources
cloudAccountId string requiredUnique identifier of the cloud account (AWS Account ID, Azure Subscription ID, etc.)
cloudAccountName stringHuman-readable name of the cloud account
cvCloudAccountId int32Internal Commvault identifier for the cloud account
dataSecurityEnabled booleanIndicates whether data security analysis is enabled for this account
dataSecurityFilter stringJSON-formatted filter criteria specific to this account for resource selection
- 200
- 400
- 403
- 404
- 500
Resources successfully added to data analysis
- application/json
- Schema
- Example (from schema)
Schema
- success boolean
Indicates whether the operation was successful
- message string
Human-readable success or informational message
- jobId int64
Unique job identifier for tracking the asynchronous resource addition operation
- totalResourcesRequested integer
Total number of resources requested for addition
error object
Error information if the operation failed
errorMessage stringTells about the error occured
errorCode ErrorCodePossible values: [
NO_ERROR,INVALID_INPUT,VALUE_NOT_FOUND,UNKNOWN_EXCEPTION,CONNECTION_PROBLEM,UNKNOWN_SQL_ERROR,INVALID_USER,INVALID_OPERATION_TYPE,INTERNAL_SERVER_PROBLEM,INSUFFICIENT_USER_PERMISSION_ON_ENTITY,INVALID_ENTITY_ID,REFRESH_TOKEN_EXPIRED]Error code value
{
"success": true,
"message": "string",
"jobId": 0,
"totalResourcesRequested": 0,
"error": {
"errorMessage": "string",
"errorCode": "NO_ERROR"
}
}
Bad Request - Invalid resource data or malformed request
- application/json
- Schema
- Example (from schema)
Schema
- success boolean
Indicates whether the operation was successful
- message string
Human-readable success or informational message
- jobId int64
Unique job identifier for tracking the asynchronous resource addition operation
- totalResourcesRequested integer
Total number of resources requested for addition
error object
Error information if the operation failed
errorMessage stringTells about the error occured
errorCode ErrorCodePossible values: [
NO_ERROR,INVALID_INPUT,VALUE_NOT_FOUND,UNKNOWN_EXCEPTION,CONNECTION_PROBLEM,UNKNOWN_SQL_ERROR,INVALID_USER,INVALID_OPERATION_TYPE,INTERNAL_SERVER_PROBLEM,INSUFFICIENT_USER_PERMISSION_ON_ENTITY,INVALID_ENTITY_ID,REFRESH_TOKEN_EXPIRED]Error code value
{
"success": true,
"message": "string",
"jobId": 0,
"totalResourcesRequested": 0,
"error": {
"errorMessage": "string",
"errorCode": "NO_ERROR"
}
}
Forbidden - Insufficient permissions to add resources
- application/json
- Schema
- Example (from schema)
Schema
- success boolean
Indicates whether the operation was successful
- message string
Human-readable success or informational message
- jobId int64
Unique job identifier for tracking the asynchronous resource addition operation
- totalResourcesRequested integer
Total number of resources requested for addition
error object
Error information if the operation failed
errorMessage stringTells about the error occured
errorCode ErrorCodePossible values: [
NO_ERROR,INVALID_INPUT,VALUE_NOT_FOUND,UNKNOWN_EXCEPTION,CONNECTION_PROBLEM,UNKNOWN_SQL_ERROR,INVALID_USER,INVALID_OPERATION_TYPE,INTERNAL_SERVER_PROBLEM,INSUFFICIENT_USER_PERMISSION_ON_ENTITY,INVALID_ENTITY_ID,REFRESH_TOKEN_EXPIRED]Error code value
{
"success": true,
"message": "string",
"jobId": 0,
"totalResourcesRequested": 0,
"error": {
"errorMessage": "string",
"errorCode": "NO_ERROR"
}
}
Not Found - Referenced resource or datasource does not exist
- application/json
- Schema
- Example (from schema)
Schema
- success boolean
Indicates whether the operation was successful
- message string
Human-readable success or informational message
- jobId int64
Unique job identifier for tracking the asynchronous resource addition operation
- totalResourcesRequested integer
Total number of resources requested for addition
error object
Error information if the operation failed
errorMessage stringTells about the error occured
errorCode ErrorCodePossible values: [
NO_ERROR,INVALID_INPUT,VALUE_NOT_FOUND,UNKNOWN_EXCEPTION,CONNECTION_PROBLEM,UNKNOWN_SQL_ERROR,INVALID_USER,INVALID_OPERATION_TYPE,INTERNAL_SERVER_PROBLEM,INSUFFICIENT_USER_PERMISSION_ON_ENTITY,INVALID_ENTITY_ID,REFRESH_TOKEN_EXPIRED]Error code value
{
"success": true,
"message": "string",
"jobId": 0,
"totalResourcesRequested": 0,
"error": {
"errorMessage": "string",
"errorCode": "NO_ERROR"
}
}
Internal Server Error
- application/json
- Schema
- Example (from schema)
Schema
- success boolean
Indicates whether the operation was successful
- message string
Human-readable success or informational message
- jobId int64
Unique job identifier for tracking the asynchronous resource addition operation
- totalResourcesRequested integer
Total number of resources requested for addition
error object
Error information if the operation failed
errorMessage stringTells about the error occured
errorCode ErrorCodePossible values: [
NO_ERROR,INVALID_INPUT,VALUE_NOT_FOUND,UNKNOWN_EXCEPTION,CONNECTION_PROBLEM,UNKNOWN_SQL_ERROR,INVALID_USER,INVALID_OPERATION_TYPE,INTERNAL_SERVER_PROBLEM,INSUFFICIENT_USER_PERMISSION_ON_ENTITY,INVALID_ENTITY_ID,REFRESH_TOKEN_EXPIRED]Error code value
{
"success": true,
"message": "string",
"jobId": 0,
"totalResourcesRequested": 0,
"error": {
"errorMessage": "string",
"errorCode": "NO_ERROR"
}
}